{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf mkMerge mkThenElse;
  annuaire = config.r6d.machines;
  currentMachine = annuaire."${config.networking.fqdn}";
  flags = currentMachine.configurationFlags;
in

mkIf flags.developpement-haskell {

  # Paquets
  environment.systemPackages = with pkgs; [
    # Haskell platform
    cabal-install         # fournis cabal
    cabal2nix             # convertir les .cabal en .nix
    ghc                   # pour les appels depuis les scripts
    stack                 # pour les paquets en LTS de stackage
  ] ++ (with pkgs.haskellPackages; [
    # Haskell lib
    autoproc              # ? procmail
    #brittany              # formatteur de code
    #darcs                 # gestionnaire de version éponyme
    #ghc-mod               # outil d'analyse de code haskell utilisé par IDE
    #hindent               # indentation code ***BROKEN***
    hlint                 # qualite de code, analyse statique de code + astuces & bonnes pratiques
    #postgrest            # mapper HTTP <-> PostgreSQL
    servant               # génération d'API REST
    stylish-haskell       # qualité de code
    turtle                # genre shell-scripting

    # Application perso
    #hahp
    #pandoc-filter-graphviz # filtre pour utiliser graphviz à partir de pandoc ***BROKEN***
  ]);
}
