{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf mkMerge mkThenElse;
  annuaire = config.r6d.machines;
  currentMachine = annuaire."${config.networking.fqdn}";
  flags = currentMachine.configurationFlags;
in

# TODO: rc.lua par défaut (système)
mkIf flags.awesome {

  environment.variables = {
    # Export the current path for the awesome derivation, useful for users rc.lua
    # Example usage in rc.lua :
    #
    #   config = {}
    #   config.dir = os.getenv("AWESOME_CONFIG_DIR")
    #   beautiful.init(config.dir .. "/share/awesome//themes/zenburn/theme.lua")
    #
    AWESOME_CONFIG_DIR = "${pkgs.awesome}";
  };

  environment.etc."xdg/awesome/rc.lua".text = builtins.readFile ./../public/config-awesome-4-rc.lua;
}
