{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf mkMerge mkThenElse;
  annuaire = config.r6d.machines;
  currentMachine = annuaire."${config.networking.fqdn}";
  flags = currentMachine.configurationFlags;
in

mkIf flags.laptop {

  # Gestion spécifique pour PC portable

  ## Gestion de l'énergie
  services.tlp.enable = true;

  ## Activation d'un gestionnaire de réseau
  networking.networkmanager.enable = true;

  hardware.bluetooth = {
    enable = true;
    powerOnBoot = false;
  };

  # Gestion graphique du réseau dans la barre système
  programs.nm-applet.enable = true;

  # Paquets
  environment.systemPackages = with pkgs; [
    wirelesstools           # fournis iwconfig
    blueman                 # outils bluetooth (manager, system tray)
    cbatticon               # status de la batterie dans le system tray
  ];

  # Services
  services.blueman.enable = true;
  services.xserver.libinput = {
    enable = true;
  };
}
