{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf mkMerge mkThenElse;
  annuaire = config.r6d.machines;
  currentMachine = annuaire."${config.networking.fqdn}";
  flags = currentMachine.configurationFlags;
in

mkIf true {

  # Paquets
  environment.systemPackages = with pkgs; [
    # Adminsys
    bind          # utilisé pour les utilitaires comme dig
    cowsay        # pour ansible & 4lulz
    iotop
    lm_sensors
    lshw
    lsof
    ntp
    powerline-fonts
    powertop
    #ansible
    glances
    pv            # afficher le débit d'un flux     dd if=/dev/zero | pv | dd of=/dev/null
    sysstat       # pour la commande "iostat -x -1" de monitoring d'activité disque
    usbutils

    # Backup
    duplicity     # création de sauvegarde chiffrées (GPG)
    par2cmdline   # outil de récupération de fichiers corrompus - .par2

    # Compression
    lz4
    lzop

    # Système de fichier
    ## Montage de filesystem
    curlftpfs     # ftp
    exfat         # Pour monter les FAT avec Fuse
    hubicfuse     # montage hubic
    ntfs3g        # ntfs
    samba         # partages windows
    squashfsTools # squashfs
    sshfs-fuse    # ssh

    ## Gestion de FS
    nfs-utils

    ## Exploitation FS
    inotify-tools # être notifié lorsque le contenu d'un répertoire change
    detox			    # The detox utility renames files to make them easier to work with.
    duff          # outil de recherche de fichiers en doublons
    #rdfind        # recherche de fichiers doublons pour remplacement par hard/soft link
  ];
}
