{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf mkMerge mkThenElse;
  annuaire = config.r6d.machines;
  currentMachine = annuaire."${config.networking.fqdn}";
  flags = currentMachine.configurationFlags;
in

mkIf flags.scanner {

  # Paquets
  environment.systemPackages = with pkgs; [
    # Driver
    hplip                     # Scanner HP

    # Outils pour exploiter les scanners
    simple-scan
  ];

  # Services
  hardware.sane.enable = true;
  services.saned = {
    enable = true;
    extraConfig = "192.168.0.0/24";
  };

  # Réseau
  networking.firewall = {
    allowedTCPPorts = [
    ];
    allowedUDPPorts = [
    ];
  };
}
